# fs.xai-corp.net
upstream fs_upstream {
   server dkhost.xai-corp.net:8081;
#    server dkhost.xai-corp.net:8084   backup;
}

server {
    # this is the internal Docker DNS, cache only for 30s
    resolver 127.0.0.11 valid=30s;

    set $backend http://dkhost.xai-corp.net:8081;

    listen  443 ssl ipv6only=off;
    server_name fs.xai-corp.net;
    ssl_certificate     /etc/letsencrypt/live/xai-corp.net/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/xai-corp.net/privkey.pem;

    #Strict-Transport-Security: max-age=15768000
    add_header Strict-Transport-Security "max-age=15768000; includeSubDomains" always;

    location / {
        proxy_pass $backend;
    }

}
